GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List actions GETAdd action POSTGet action GETUpdate action PATCH
Actions

List actions GET

Open actions plus actions done or dismissed in the last 14 days.

Get action GET

One action with its evidence and activity.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Actions

Add action

POST
/brands/{brandId}/actions

Create a custom action in To Do.

Authorization

apiKey write
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Scope: write

Path Parameters

brandId*string
Formatuuid

Request Body

application/json
  1. body
  1. body
  2. …
title*string
Length1 <= length <= 200
description*string
Length1 <= length <= 10000
severity?|
Defaultnull
Value in"critical""high""medium""low"null
assigneeId?|
Formatuuid
Defaultnull

Response Body

Action created

application/json
  1. response
  1. response
  2. …
id*string
Formatuuid
kind*string
Value in"content_gap""sentiment""reddit""outreach""setup""custom"
status*string
Value in"suggested""todo""in_progress""done""dismissed"
severity*|
Value in"critical""high""medium""low"null
title*string
description*string
ctaLabel*string|null
ctaHref*string|null
source*string
Value in"user""system"
assignee*|null
statusChangedAt*string
createdAt*string
details*|null
createdBy*|null
activity*array<>
activityTotal*integer
Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/actions' \  -H 'Content-Type: application/json' \  -d '{  "title": "string",  "description": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "content_gap",  "status": "suggested",  "severity": "critical",  "title": "string",  "description": "string",  "ctaLabel": "string",  "ctaHref": "string",  "source": "user",  "assignee": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "email": "string",    "image": "string"  },  "statusChangedAt": "string",  "createdAt": "string",  "details": {    "property1": null,    "property2": null  },  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "email": "string",    "image": "string"  },  "activity": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "created",      "user": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "email": "string",        "image": "string"      },      "from": "string",      "to": "string",      "body": "string",      "at": "string"    }  ],  "activityTotal": 0}

List actions GET

Open actions plus actions done or dismissed in the last 14 days.

Get action GET

One action with its evidence and activity.

Start free trial
Start free trial
Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/actions' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "string",
  "description": "string"
}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "kind": "content_gap",
  "status": "suggested",
  "severity": "critical",
  "title": "string",
  "description": "string",
  "ctaLabel": "string",
  "ctaHref": "string",
  "source": "user",
  "assignee": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "email": "string",
    "image": "string"
  },
  "statusChangedAt": "string",
  "createdAt": "string",
  "details": {
    "property1": null,
    "property2": null
  },
  "createdBy": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "email": "string",
    "image": "string"
  },
  "activity": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "kind": "created",
      "user": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "email": "string",
        "image": "string"
      },
      "from": "string",
      "to": "string",
      "body": "string",
      "at": "string"
    }
  ],
  "activityTotal": 0
}